"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_bounceable_1 = tslib_1.__importDefault(require("@freakycoder/react-native-bounceable"));
/**
 * ? Local Imports
 */
const RoundedCheckbox_style_1 = tslib_1.__importStar(require("./RoundedCheckbox.style"));
const useStateWithCallback_1 = tslib_1.__importDefault(require("../helpers/useStateWithCallback"));
const RoundedCheckbox = ({ active, isChecked, children, text = "L", textStyle, outerStyle, innerStyle, checkedColor = "#0bc8a5", uncheckedColor = "#f0f0f0", checkedTextColor = "#fdfdfd", uncheckedTextColor = "#5c5969", onPress, ...rest }) => {
    const [checked, setChecked] = useStateWithCallback_1.default(isChecked || false);
    const isActive = active || checked;
    const backgroundColor = isActive ? checkedColor : uncheckedColor;
    const textColor = isActive ? checkedTextColor : uncheckedTextColor;
    const handlePress = () => {
        if (typeof active === "boolean")
            onPress && onPress(active);
        else
            setChecked(!checked, (updatedChecked) => {
                onPress && onPress(updatedChecked);
            });
    };
    const InnerComponent = () => (<react_native_1.Text style={[RoundedCheckbox_style_1.default.textStyle, textStyle, RoundedCheckbox_style_1._textColorStyle(textColor)]}>
      {text}
    </react_native_1.Text>);
    return (<react_native_bounceable_1.default {...rest} style={[
        RoundedCheckbox_style_1.default.outerContainer,
        outerStyle,
        RoundedCheckbox_style_1._outerBorderWithStyle(isActive ? 1 : 0),
    ]} onPress={handlePress}>
      <react_native_1.View style={[
        RoundedCheckbox_style_1.default.innerContainer,
        innerStyle,
        RoundedCheckbox_style_1._innerBorderWidthStyle(backgroundColor),
    ]}>
        {children || <InnerComponent />}
      </react_native_1.View>
    </react_native_bounceable_1.default>);
};
exports.default = RoundedCheckbox;
//# sourceMappingURL=RoundedCheckbox.js.map